### Method

# Gtk FileFilter add_mime_types

since: 4.22

#### Declaration [src]

    void
    gtk_file_filter_add_mime_types (
      GtkFileFilter* filter,
      const char** mime_types
    )

#### Description [src]

Adds a rule allowing a given array of mime types. It can for example be used with Gly.Loader.get_mime_types.

This is equivalent to calling `gtk_file_filter_add_mime_type()` for all the supported mime types.

Available since: 4.22

#### Parameters

`mime_types`

  Type: An array of `char*`

  A `NULL`-terminated array of mime types.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.